Subject: Re: bug#21305: 25.0.50; `get-buffer-window-list' doc - what order?

From: martin rudalics <[email-masked]>
Date: Sun, 23 Aug 2015 15:33:46 +0200

> FWIW, I think adding an argument for that is a bad idea.  If the caller
 > needs the windows sorted in a particular way, then *he* should
 > sort them.
 >
 > It would make sense to provide sorting directly in the function if the
 > sorting can't be done, or not as efficiently, after the fact.
 > But that is not the case here.

If I want to write or provide functions like ‘mru-window-for-buffer’ or
‘lru-window-for-buffer’, then such a function could easily use the car
of `get-buffer-window-list' called with the appropriate argument.  So I
don't see why adding an argument would be a "bad idea".

martin